# zsh-config
This is my personal zsh configuraton.

### Requirements
* [starship](https://github.com/starship/starship) - a pretty and fast prompt
* [direnv](https://github.com/direnv/direnv)* - runs on cd, safely set enviroment
* [exa](https://github.com/ogham/exa)* - better ls
* [bat](https://github.com/sharkdp/bat)* - better cat, less, man, etc.

(* = optional)

### Installation
1. Clone this repo and init the submodules
```sh
git clone 'https://git.zander.im/Zander671/zsh-config.git'
git submodule init && git submodule update
```
2. Create a `.zshrc` and fill it with something like this:
```zsh
ZSH_CONFIG_DIR="path/to/this/repo" # This variable *MUST* be set
source "${ZSH_CONFIG_DIR}/init.zsh"
```
3. Optionally, set some other variables (before the `source` line):
 * ZSH_BOOKMARK_DIR: Bookmark directory (default: ~/.cache/zsh/bookmarks) 
 * ZSH_BOOKMARK_LS: If true, run `ls` after jumping to a bookmark
